%define oname   selenium-webdriver

Name:       ruby-%{oname}
Version:    0.1.4
Release:    %mkrel 1
Summary:    The next generation developer focused tool for automated testing of webapps
License:    Apache License
Group:      Development/Ruby
URL:        http://selenium.googlecode.com
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
# Source code from 
# http://code.google.com/p/selenium/source/browse/webdriver/trunk/firefox/src/cpp/linux-specific/x_ignore_nofocus.c
Source1:    x_ignore_nofocus.c
Source2:    print_events.h
BuildRequires: rubygems
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rack)
BuildRequires: rubygem(ci_reporter) >= 1.6.2
BuildRequires: X11-devel
Requires:   ruby(abi) = 1.8

%description
WebDriver is a tool for writing automated tests of websites. It aims to
mimic the behaviour of a real user, and as such interacts with the HTML of
the application.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
# do not use the bundle so files
rm -rf lib/selenium/webdriver/firefox/native/linux/*
# add the .c source code
cp %{SOURCE1} %{SOURCE2} lib/selenium/webdriver/firefox/native/linux/

%build
pushd lib/selenium/webdriver/firefox/native/linux
gcc %{optflags} -fPIC -shared -fshort-wchar x_ignore_nofocus.c -o x_ignore_nofocus.so
#FIXME…
mkdir x86 amd64
cp x_ignore_nofocus.so x86
mv x_ignore_nofocus.so amd64
popd

%gem_build

%install
rm -rf %{buildroot}
%gem_install

%clean
rm -rf %{buildroot}



%changelog
* Tue Apr 19 2011 shikamaru <shikamaru> 0.1.4-1.mga1
+ Revision: 88833
- try to fix bundled binary file (FIXME please)
- imported package ruby-selenium-webdriver


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.2-1
- Initial package
